Skip to main content
PUT
/
secret-references
/
{secretReferenceId}
curl -X PUT https://api.portkey.ai/v1/secret-references/SECRET_REFERENCE_ID \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
    "name": "updated-secret-name",
    "secret_path": "prod/api-keys/updated"
}'
{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

secretReferenceId
string
required

UUID or slug of the secret reference

Body

application/json
name
string
Required string length: 1 - 255
description
string | null
Maximum string length: 1024
auth_config
object

Merged with existing config, validated against existing manager_type

secret_path
string
Maximum string length: 1024
secret_key
string | null
Maximum string length: 255
allow_all_workspaces
boolean

When true, all workspace-specific mappings are purged

allowed_workspaces
string[]

Replaces existing workspace mappings. Automatically sets allow_all_workspaces to false.

Minimum array length: 1
tags
object

Response

Successful response

The response is of type object.

Last modified on March 9, 2026